Package io.dapr.v1

# Class DaprProtos.AppConnectionProperties.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>
io.dapr.v1.DaprProtos.AppConnectionProperties.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.AppConnectionPropertiesOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.AppConnectionProperties

public static final class DaprProtos.AppConnectionProperties.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder> implements DaprProtos.AppConnectionPropertiesOrBuilder
Protobuf type `dapr.proto.runtime.v1.AppConnectionProperties`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.AppConnectionProperties.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.AppConnectionProperties`
`build()`
`DaprProtos.AppConnectionProperties`
`buildPartial()`
`DaprProtos.AppConnectionProperties.Builder`
`clear()`
`DaprProtos.AppConnectionProperties.Builder`
`clearChannelAddress()`
`string channel_address = 3 [json_name = "channelAddress"];`
`DaprProtos.AppConnectionProperties.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.AppConnectionProperties.Builder`
`clearHealth()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`DaprProtos.AppConnectionProperties.Builder`
`clearMaxConcurrency()`
`int32 max_concurrency = 4 [json_name = "maxConcurrency"];`
`DaprProtos.AppConnectionProperties.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.AppConnectionProperties.Builder`
`clearPort()`
`int32 port = 1;`
`DaprProtos.AppConnectionProperties.Builder`
`clearProtocol()`
`string protocol = 2;`
`DaprProtos.AppConnectionProperties.Builder`
`clone()`
`String`
`getChannelAddress()`
`string channel_address = 3 [json_name = "channelAddress"];`
`com.google.protobuf.ByteString`
`getChannelAddressBytes()`
`string channel_address = 3 [json_name = "channelAddress"];`
`DaprProtos.AppConnectionProperties`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`DaprProtos.AppConnectionHealthProperties`
`getHealth()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`DaprProtos.AppConnectionHealthProperties.Builder`
`getHealthBuilder()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`DaprProtos.AppConnectionHealthPropertiesOrBuilder`
`getHealthOrBuilder()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`int`
`getMaxConcurrency()`
`int32 max_concurrency = 4 [json_name = "maxConcurrency"];`
`int`
`getPort()`
`int32 port = 1;`
`String`
`getProtocol()`
`string protocol = 2;`
`com.google.protobuf.ByteString`
`getProtocolBytes()`
`string protocol = 2;`
`boolean`
`hasHealth()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.AppConnectionProperties.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.AppConnectionProperties.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.AppConnectionProperties.Builder`
`mergeFrom(DaprProtos.AppConnectionProperties other)`
`DaprProtos.AppConnectionProperties.Builder`
`mergeHealth(DaprProtos.AppConnectionHealthProperties value)`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`final DaprProtos.AppConnectionProperties.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.AppConnectionProperties.Builder`
`setChannelAddress(String value)`
`string channel_address = 3 [json_name = "channelAddress"];`
`DaprProtos.AppConnectionProperties.Builder`
`setChannelAddressBytes(com.google.protobuf.ByteString value)`
`string channel_address = 3 [json_name = "channelAddress"];`
`DaprProtos.AppConnectionProperties.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.AppConnectionProperties.Builder`
`setHealth(DaprProtos.AppConnectionHealthProperties value)`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`DaprProtos.AppConnectionProperties.Builder`
`setHealth(DaprProtos.AppConnectionHealthProperties.Builder builderForValue)`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`DaprProtos.AppConnectionProperties.Builder`
`setMaxConcurrency(int value)`
`int32 max_concurrency = 4 [json_name = "maxConcurrency"];`
`DaprProtos.AppConnectionProperties.Builder`
`setPort(int value)`
`int32 port = 1;`
`DaprProtos.AppConnectionProperties.Builder`
`setProtocol(String value)`
`string protocol = 2;`
`DaprProtos.AppConnectionProperties.Builder`
`setProtocolBytes(com.google.protobuf.ByteString value)`
`string protocol = 2;`
`DaprProtos.AppConnectionProperties.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final DaprProtos.AppConnectionProperties.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### clear

public DaprProtos.AppConnectionProperties.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### getDefaultInstanceForType

public DaprProtos.AppConnectionProperties getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.AppConnectionProperties build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.AppConnectionProperties buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.AppConnectionProperties.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### setField

public DaprProtos.AppConnectionProperties.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### clearField

public DaprProtos.AppConnectionProperties.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### clearOneof

public DaprProtos.AppConnectionProperties.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### setRepeatedField

public DaprProtos.AppConnectionProperties.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### addRepeatedField

public DaprProtos.AppConnectionProperties.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### mergeFrom

public DaprProtos.AppConnectionProperties.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.AppConnectionProperties.Builder>`

### mergeFrom

public DaprProtos.AppConnectionProperties.Builder mergeFrom(DaprProtos.AppConnectionProperties other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### mergeFrom

public DaprProtos.AppConnectionProperties.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.AppConnectionProperties.Builder>`
Throws:
  `IOException`

### getPort

public int getPort()
`int32 port = 1;`

Specified by:
  `getPort` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The port.

### setPort

public DaprProtos.AppConnectionProperties.Builder setPort(int value)
`int32 port = 1;`

Parameters:
  `value` - The port to set.
Returns:
  This builder for chaining.

### clearPort

public DaprProtos.AppConnectionProperties.Builder clearPort()
`int32 port = 1;`

Returns:
  This builder for chaining.

### getProtocol

public String getProtocol()
`string protocol = 2;`

Specified by:
  `getProtocol` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The protocol.

### getProtocolBytes

public com.google.protobuf.ByteString getProtocolBytes()
`string protocol = 2;`

Specified by:
  `getProtocolBytes` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The bytes for protocol.

### setProtocol

public DaprProtos.AppConnectionProperties.Builder setProtocol(String value)
`string protocol = 2;`

Parameters:
  `value` - The protocol to set.
Returns:
  This builder for chaining.

### clearProtocol

public DaprProtos.AppConnectionProperties.Builder clearProtocol()
`string protocol = 2;`

Returns:
  This builder for chaining.

### setProtocolBytes

public DaprProtos.AppConnectionProperties.Builder setProtocolBytes(com.google.protobuf.ByteString value)
`string protocol = 2;`

Parameters:
  `value` - The bytes for protocol to set.
Returns:
  This builder for chaining.

### getChannelAddress

public String getChannelAddress()
`string channel_address = 3 [json_name = "channelAddress"];`

Specified by:
  `getChannelAddress` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The channelAddress.

### getChannelAddressBytes

public com.google.protobuf.ByteString getChannelAddressBytes()
`string channel_address = 3 [json_name = "channelAddress"];`

Specified by:
  `getChannelAddressBytes` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The bytes for channelAddress.

### setChannelAddress

public DaprProtos.AppConnectionProperties.Builder setChannelAddress(String value)
`string channel_address = 3 [json_name = "channelAddress"];`

Parameters:
  `value` - The channelAddress to set.
Returns:
  This builder for chaining.

### clearChannelAddress

public DaprProtos.AppConnectionProperties.Builder clearChannelAddress()
`string channel_address = 3 [json_name = "channelAddress"];`

Returns:
  This builder for chaining.

### setChannelAddressBytes

public DaprProtos.AppConnectionProperties.Builder setChannelAddressBytes(com.google.protobuf.ByteString value)
`string channel_address = 3 [json_name = "channelAddress"];`

Parameters:
  `value` - The bytes for channelAddress to set.
Returns:
  This builder for chaining.

### getMaxConcurrency

public int getMaxConcurrency()
`int32 max_concurrency = 4 [json_name = "maxConcurrency"];`

Specified by:
  `getMaxConcurrency` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The maxConcurrency.

### setMaxConcurrency

public DaprProtos.AppConnectionProperties.Builder setMaxConcurrency(int value)
`int32 max_concurrency = 4 [json_name = "maxConcurrency"];`

Parameters:
  `value` - The maxConcurrency to set.
Returns:
  This builder for chaining.

### clearMaxConcurrency

public DaprProtos.AppConnectionProperties.Builder clearMaxConcurrency()
`int32 max_concurrency = 4 [json_name = "maxConcurrency"];`

Returns:
  This builder for chaining.

### hasHealth

public boolean hasHealth()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

Specified by:
  `hasHealth` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  Whether the health field is set.

### getHealth

public DaprProtos.AppConnectionHealthProperties getHealth()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

Specified by:
  `getHealth` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The health.

### setHealth

public DaprProtos.AppConnectionProperties.Builder setHealth(DaprProtos.AppConnectionHealthProperties value)
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

### setHealth

public DaprProtos.AppConnectionProperties.Builder setHealth(DaprProtos.AppConnectionHealthProperties.Builder builderForValue)
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

### mergeHealth

public DaprProtos.AppConnectionProperties.Builder mergeHealth(DaprProtos.AppConnectionHealthProperties value)
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

### clearHealth

public DaprProtos.AppConnectionProperties.Builder clearHealth()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

### getHealthBuilder

public DaprProtos.AppConnectionHealthProperties.Builder getHealthBuilder()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

### getHealthOrBuilder

public DaprProtos.AppConnectionHealthPropertiesOrBuilder getHealthOrBuilder()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

Specified by:
  `getHealthOrBuilder` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`

### setUnknownFields

public final DaprProtos.AppConnectionProperties.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`

### mergeUnknownFields

public final DaprProtos.AppConnectionProperties.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionProperties.Builder>`